This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 468791 - Can't delete user_u user without reboot ([rpc.ERROR])
Can't delete user_u user without reboot ([rpc.ERROR])
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 21:19 EDT by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:40:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2008-10-27 21:19:03 EDT
Description of problem:

Sorry if this is expected behavior. After mapping a Linux user to user_u and logging in (via GDM), it is not possible to remove that user (userdel) until after rebooting.


Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.5.13-8.fc10.noarch
selinux-policy-3.5.13-8.fc10.noarch
setroubleshoot-2.0.12-1.fc10.noarch
setroubleshoot-plugins-2.0.10-1.fc10.noarch
setroubleshoot-server-2.0.12-1.fc10.noarch
libselinux-utils-2.0.73-1.fc10.i386
libselinux-python-2.0.73-1.fc10.i386
libselinux-2.0.73-1.fc10.i386


How reproducible:

Always.

Steps to Reproduce:

1. useradd -Z user_u userutest
2. Log in as userutest via GDM
3. Log out
4. userdel -r userutest (see "Actual results")
5. reboot. It is then possible to remove /home/userutest/)
  
Actual results:

# userdel -r userutest
userdel: error removing directory /home/userutest
# rm /home/userutest/ -rf
rm: cannot remove `/home/userutest/.gvfs': Permission denied

The following is logged to /var/log/messages:

setroubleshoot: [rpc.ERROR] attempt to open server connection failed: Permission denied


Expected results:

User deleted without errors.


Additional info:

Same problem occurs on Fedora 9, but there are no denials or RPC errors.

The following denial occurs on Fedora Rawhide:

SELinux is preventing gpk-update-icon (user_t) "read" to ./firmware-bLbLMgUP
(udev_var_run_t).

Detailed Description:

SELinux denied access requested by gpk-update-icon. It is not expected that this
access is required by gpk-update-icon and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for ./firmware-bLbLMgUP,

restorecon -v './firmware-bLbLMgUP'

If this does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                user_u:user_r:user_t:s0
Target Context                system_u:object_r:udev_var_run_t:s0
Target Objects                ./firmware-bLbLMgUP [ file ]
Source                        gpk-update-icon
Source Path                   /usr/bin/gpk-update-icon
Port                          <Unknown>
Host                          rawhide
Source RPM Packages           gnome-packagekit-0.3.8-2.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.13-8.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     rawhide
Platform                      Linux rawhide 2.6.27.4-51.fc10.i686 #1 SMP Sun Oct
                              26 21:04:43 EDT 2008 i686 i686
Alert Count                   1
First Seen                    Tue Oct 28 20:19:27 2008
Last Seen                     Tue Oct 28 20:19:27 2008
Local ID                      ae4becda-532d-429d-a7e3-c969e3288e3d
Line Numbers                  

Raw Audit Messages            

node=rawhide type=AVC msg=audit(1225189167.992:90): avc:  denied  { read } for  pid=2860 comm="gpk-update-icon" name="firmware-bLbLMgUP" dev=dm-0 ino=371697 scontext=user_u:user_r:user_t:s0 tcontext=system_u:object_r:udev_var_run_t:s0 tclass=file

node=rawhide type=SYSCALL msg=audit(1225189167.992:90): arch=40000003 syscall=5 success=no exit=-13 a0=87cca78 a1=8000 a2=0 a3=8000 items=0 ppid=2542 pid=2860 auid=503 uid=503 gid=503 euid=503 suid=503 fsuid=503 egid=503 sgid=503 fsgid=503 tty=(none) ses=3 comm="gpk-update-icon" exe="/usr/bin/gpk-update-icon" subj=user_u:user_r:user_t:s0 key=(null)
Comment 1 Daniel Walsh 2008-10-29 12:47:09 EDT
This base problem is not an SELinux bug.  But the gpk-update-icon avc is.

The basic bug is that the homedir can not be removed because of the fuse mount.

Not sure what gpk-update-icon is trying to read firmware-bLbLMgUP?
Comment 2 Daniel Walsh 2008-10-29 12:48:43 EDT
Ok gpk-update-icon should not be running on a user_u system since package updates are not his concern.
Comment 3 Bug Zapper 2008-11-25 23:20:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 07:39:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:40:24 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.